Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::BorderPanelGuiElement::CmdBorderMaterial Class Reference

Command object for specifying the Material for the border (see ParamCommand). More...

`#include <OgreBorderPanelGuiElement.h>`

Inheritance diagram for Ogre::BorderPanelGuiElement::CmdBorderMaterial:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for specifying the Material for the border (see ParamCommand).

Definition at line 185 of file OgreBorderPanelGuiElement.h.

## Member Function Documentation

String Ogre::BorderPanelGuiElement::CmdBorderMaterial::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 645 of file OgreBorderPanelGuiElement.cpp. References Ogre::String.

void Ogre::BorderPanelGuiElement::CmdBorderMaterial::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 650 of file OgreBorderPanelGuiElement.cpp. References Ogre::String.

The documentation for this class was generated from the following files:

- OgreBorderPanelGuiElement.h
- OgreBorderPanelGuiElement.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:17 2004